package com.jpsoft.shinestar.modules.base.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ApplicationExamine;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ApplicationExamineService {
	ApplicationExamine get(String id);
	boolean exist(String id);
	int insert(ApplicationExamine model);
	int update(ApplicationExamine model);
	int delete(String id);
	List<ApplicationExamine> list();
	Page<ApplicationExamine> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<ApplicationExamine> findByApplicationCompanyAndRole(String companyId, String personRoleId);

	List<ApplicationExamine> findByApplicationCompanyAndRoleAndType(String companyId, String personRoleId, String type);

    List<ApplicationExamine> findByApplicationCompanyAndRoleAndTypeAndDays(String companyId, String personRoleId, String s, Integer level, BigDecimal days);
}